# Class BlockSelectorManager

#### Hierarchy

- BlockSelectorManager

- Defined in RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:46

#####
Index

### Constructors

constructor

### Properties

blockChangeCallback
blockId
previousBlockId

### Methods

getActiveBlock
getPreviousBlock
setActiveBlock

## Constructors

### constructor

- new BlockSelectorManager(f: (() => void)): BlockSelectorManager

- #### Parameters

  - ##### f: (() => void)

    - - (): void

      - #### Returns void

  #### Returns BlockSelectorManager

  - Defined in RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:50

## Properties

### `Private` `Readonly` blockChangeCallback

blockChangeCallback: (() => void) = ...

#### Type declaration

- - (): void

  - #### Returns void

- Defined in RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:49

### `Private` blockId

blockId: string

- Defined in RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:47

### `Private` previousBlockId

previousBlockId: string

- Defined in RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:48

## Methods

### getActiveBlock

- getActiveBlock(): string

- #### Returns string

  - Defined in RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:58

### getPreviousBlock

- getPreviousBlock(): string

- #### Returns string

  - Defined in RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:61

### setActiveBlock

- setActiveBlock(blockId: string): void

- #### Parameters

  - ##### blockId: string

  #### Returns void

  - Defined in RcsbFvSequence/SequenceViews/CustomView/CustomView.tsx:53

Generated using TypeDoc